org.apache.flume.sink

## Class DefaultSinkFactory

- java.lang.Object
- - org.apache.flume.sink.DefaultSinkFactory

- All Implemented Interfaces:
    SinkFactory

      public class DefaultSinkFactory
      extends Object
      implements SinkFactory

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultSinkFactory()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Sink` | `create(String name, String type)`
    `Class<? extends Sink>` | `getClass(String type)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DefaultSinkFactory

          public DefaultSinkFactory()

  - ### Method Detail

    - #### create

          public Sink create(String name,
                    String type)
                      throws FlumeException

      Specified by:
        `create` in interface `SinkFactory`
      Throws:
        `FlumeException`

    - #### getClass

          public Class<? extends Sink> getClass(String type)
                                         throws FlumeException

      Specified by:
        `getClass` in interface `SinkFactory`
      Throws:
        `FlumeException`

Copyright © 2009-2016 Apache Software Foundation. All Rights Reserved.